Subject: Re: bug#13653: 24.2.93; cygw32 in daemon mode aborts in response to kill command

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 20:14:27 +0100

Ken Brown <[email-masked]> writes:

> In the cygw32 build, start emacs in daemon mode:
>
> $ emacs --daemon -Q
>
> Now kill it from the terminal:
>
> $ kill PID
>
> The result is an Emacs Abort Dialog box saying a fatal error has
> occurred and asking me if I want to attach a debugger.  I have two
> problems with this.  First, a kill command shouldn't cause emacs to
> abort.  Second, I don't think the cygw32 build should ever pop up an
> abort dialog box.  None of the other emacs builds on Cygwin do this,
> so it's surprising and confusing to users.

(This bug report unfortunately got no response at the time.)

Are you still seeing this problem in more recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no